Main Page Packages Class Hierarchy Compound List File List Compound Members

# documentgetrootnode Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documentgetrootnode (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getDocumentElement()" method provides direct access to the child node that is the root element of the document. Retrieve the entire DOM document and invoke its "getDocumentElement()" method. It should return an Element node whose NodeName is "staff".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-87CD092

Definition at line 43 of file documentgetrootnode.java.

## Constructor & Destructor Documentation

documentgetrootnode::documentgetrootnode | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 45 of file documentgetrootnode.java.
    00046  {
    00047       super(factory);
    00048
    00049    }

## Member Function Documentation

String documentgetrootnode::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 61 of file documentgetrootnode.java.
    00061                                 {
    00062       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documentgetrootnode";
    00063    }

void documentgetrootnode::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 64 of file documentgetrootnode.java. References DOMTestCase::doMain().
    00064                                           {
    00065         DOMTestCase.doMain(documentgetrootnode.class,args);
    00066    }

void documentgetrootnode::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 51 of file documentgetrootnode.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00051                                                     {
    00052       Document doc;
    00053       Element root;
    00054       String rootName;
    00055       doc = load("staff");
    00056       root = doc.getDocumentElement();
    00057       rootName = root.getNodeName();
    00058       assertEquals("documentGetRootNodeAssert","staff",rootName);
    00059
    00060    }

The documentation for this class was generated from the following file:

- documentgetrootnode.java